#include <iostream>
#include <string>
#include <cmath>

using namespace std;

int main()
{
  unsigned long long n,k;
  unsigned long long b[2*n];
  for(unsigned long long i=0;i<2*n;i++)
  {
      cin>>b[i];
      
  }
  cout<<ceil(n/2)-1;
}